import ctypes
import tisgrabber as tis

#tisgrabber_x64.dllをインポートする
ic = ctypes.cdll.LoadLibrary("./tisgrabber_x64.dll")
tis.declareFunctions(ic)

#ICImagingControlクラスライブラリを初期化します。
#この関数は、このライブラリの他の関数が呼び出される前に1回だけ呼び出す必要があります。
ic.IC_InitLibrary(0)

#xmlファイルをロードする
hGrabber = ic.IC_LoadDeviceStateFromFile(None, tis.T("device.xml"))
#xmlファイルに記載のデバイスが見つからなかったら
if not ic.IC_IsDevValid(hGrabber):
    #ダイアログ画面を表示
    hGrabber = ic.IC_ShowDeviceSelectionDialog(None)


#デバイスが有効か確認
if(ic.IC_IsDevValid(hGrabber)):
    #デバイス情報をxmlに保存する
    ic.IC_SaveDeviceStateToFile(hGrabber, tis.T("device.xml"))
    #ライブスタート開始　引数：0の時非表示、引数：1の時表示
    ic.IC_StartLive(hGrabber, 1)
    ic.IC_MsgBox(tis.T("Click OK to stop"), tis.T("Simple Live Video"))
    ic.IC_StopLive(hGrabber)
else:
    ic.IC_MsgBox(tis.T("No device opened"), tis.T("Simple Live Video"))

ic.IC_ReleaseGrabber(hGrabber)
